<template>
  <div class="dashboard-container">
    <component :is="currentRole" />
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import adminDashboard from './admin'
import editorDashboard from './editor'
// import { statisticalData } from "@/api/statisticalData";

export default {
  name: 'Dashboard',
  components: { adminDashboard, editorDashboard },
  data() {
    return {
      currentRole: 'adminDashboard'

    }
  },
  computed: {
    ...mapGetters(['roles'])
  },
  created() {
    if (!this.roles.includes('admin')) {
      this.currentRole = 'editorDashboard'
    }
    // this.getStatisticalData();
  },
  methods: {
    // /api/convenience/v2/services/statisticalData
    // getStatisticalData() {
    //   statisticalData(this.listQuery).then(res => {
    //     console.log(res);
    //   })
    // }
  }
}
</script>
